@echo off

rem QWKgate -- A QWK to/from Internet Gateway
rem Copyright 1994 -- Colour of Television Software

rem This sample batch file presumes you are running a Wildcat! BBS,
rem but it may be modified for other BBS's.

rem Syntax:  mailrun [i/o]
rem          mailrun     Tosses both incoming and outgoing mail
rem          mailrun i   Tosses incoming mail only
rem          mailrun o   Tosses outgoing mail only

cls
if not %WCNODEID%!==! goto IDokay
ECHO WCNODEID needs to be set for TNET!
goto exit
:IDokay

rem creates syntax error if no %1
if %1!==! goto skip1
if %1==i goto incoming
:skip1

rem TNET exports PoV msgs into a REP packet

z:
cd \qwk

rem Old REP packet is renamed, just in case...

if exist interrep.tmp del interrep.tmp
if exist internet.rep ren internet.rep interrep.tmp
cd \wc30
tnet export internet

rem QWKgate tosses exported msgs from REP packet into z:\qwkgate\out
rem Msg files are named *.zzz

if not exist z:\qwk\internet.rep goto skipexp
cd \qwkgate\out

rem Old ZZZ files are renamed, just in case...

if exist 00000001.tmp del *.tmp
if exist 00000001.zzz ren *.zzz *.tmp
cd \qwkgate
qwkgate -o

rem Re-compiles Mercury's alias file to include newly added names

cd \system\mercury
malias alias.src alias.mer

rem NPRINT sends exported msgs to Mercury queue

cd \qwkgate\out

nprint *.zzz /s=tcf_net /q=smtpqueue /f=101

rem Line written into Wildcat's activity log (node 10)
echo       * Internet msgs exported. >> z:\wc30\activity.010
cd \wc30

:skipexp
if %1!==! goto skip2
if %1==o goto exit
:skip2

:incoming

rem QWKgate packs imported msgs (*.CNM) from mail directory 
rem into z:\qwk\internet.qwk for TNET

rem Old QWK file is renamed, just in case...

cd \qwk
if exist interqwk.tmp del interqwk.tmp
if exist internet.qwk ren internet.qwk interqwk.tmp
cd \qwkgate
qwkgate -i
cd \wc30

rem TNET imports msgs into PoV

if not exist z:\qwk\internet.qwk goto exit
tnet import internet
echo       * Internet msgs imported. >> z:\wc30\activity.010

:exit
echo       * MAILRUN.BAT completed successfully. >> z:\wc30\activity.010

